Summary: Graphical user interface toolkit for X Window Systems
Name: xforms
Version: 0.88
Release: 6
Group: Development/Libraries
Copyright: noncommercial distributable (see Copyright)
Source0: ftp://einstein.phys.uwm.edu/pub/xforms/linux/elf/bxform-088.i386.tgz
Source1: ftp://einstein.phys.uwm.edu/pub/xforms/linux-sparc/bxform-088.sparc.tgz
Source2: ftp://einstein.phys.uwm.edu/pub/xforms/linux-alpha/elf/bxform-088.alpha.tgz
Source3: ftp://einstein.phys.uwm.edu/pub/xforms/DOC/forms_sngl.ps.gz
URL: http://bragg.phys.uwm.edu/xforms

Patch0: bxform-088-mkconfig.patch
#Patch1: bxform-086-mkconfig-sparc.patch
#Patch2: bxform-086-mkconfig-alpha.patch
Patch5: bxform-088-1-config.patch
Provides: libforms.so.0.81
BuildRoot: /var/tmp/xforms-root
ExclusiveArch: i386 alpha

%ifarch alpha
AutoReqProv: 0
Requires: libc.so.6.1
%endif

%description
XForms is a GUI toolkit based on Xlib for X Window Systems. It 
features a rich set of objects, such as buttons, sliders, and menus etc. 
integrated into an easy and efficient 
object/event callback execution model that allows fast and easy 
construction of X-applications. In addition, 
the library is extensible and new objects can easily be created and 
added to the library. 

%package demos
Group: Development/Libraries
Summary: Graphical user interface toolkit for X Window Systems

%description demos
Demos using the XForms library

%package devel
Group: Development/Libraries
Summary: Graphical user interface toolkit for X Window Systems
%description devel
XForms static library

%prep

%ifarch i386
%setup -q -T -n xforms -b 0
%patch0 -p1
%endif

%ifarch sparc
%setup -q -T -n xforms -b 1
%patch0 -p1
%endif

%ifarch alpha
%setup -q -T -n xforms -b 2
%patch0 -p1
%endif

cp $RPM_SOURCE_DIR/forms_sngl.ps.gz  .

%patch5 -p1


%build
make demo; make clean
cd DEMOS; rm -f *.orig

%install

install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 -d $RPM_BUILD_ROOT/usr/include
make BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin LIB_DIR=$RPM_BUILD_ROOT/usr/X11R6/lib MAN1_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 MAN5_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man5 HEADER_DIR=$RPM_BUILD_ROOT/usr/include install
ln -sf /usr/X11R6/lib/libforms.so.0.88 $RPM_BUILD_ROOT/usr/X11R6/lib/libforms.so

if [ -d $RPM_BUILD_ROOT/usr/lib/xforms ]; then
   rm -r $RPM_BUILD_ROOT/usr/lib/xforms
fi
mkdir -p $RPM_BUILD_ROOT/usr/lib/xforms
cp -a contrib $RPM_BUILD_ROOT/usr/lib/xforms
cp -a mkconfig.h $RPM_BUILD_ROOT/usr/lib/xforms
cp -a DEMOS $RPM_BUILD_ROOT/usr/lib/xforms
cp -a FORMS/Readme $RPM_BUILD_ROOT/usr/lib/xforms
cp -a FORMS/gl.c $RPM_BUILD_ROOT/usr/lib/xforms
#cp -a FORMS/mesa.c $RPM_BUILD_ROOT/usr/lib/xforms

%post
ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files 
/usr/X11R6/bin/fd2ps

/usr/X11R6/lib/libforms.so.0.88
/usr/X11R6/lib/libforms.so

/usr/include/forms.h
/usr/lib/xforms/gl.c

%doc forms_sngl.ps.gz
%doc Bugs Changes Copyright Readme 
%doc /usr/lib/xforms/Readme

/usr/X11R6/man/man5/forms.5
/usr/X11R6/man/man5/xforms.5
/usr/X11R6/man/man1/fdesign.1
/usr/X11R6/man/man1/fd2ps.1

%files demos
%doc /usr/lib/xforms/contrib/Readme
/usr/lib/xforms/mkconfig.h
/usr/lib/xforms/DEMOS
 
%files devel
/usr/X11R6/lib/libforms.a
/usr/X11R6/bin/fdesign

%changelog
* Thu Oct 06 1998 Michael Maher <mike@redhat.com>
- cleaned up spec file
- built for 5.2

* Thu May 14 1998 Michael Maher <mike@redhat.com>
- inspected package and buildroots. 

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed fdesign being a directory
- moved fdesign to devel package, 
- fixed broken symlink from libforms.so to libforms.so.0.88

* Mon Dec  8 1997 Otto Hammersmith <otto@redhat.com>
- fixed alpha library dependency problems.

* Sun Dec  7 1997 Otto Hammersmith <otto@redhat.com>
- add provides for the .81 libs

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- buildrooted

* Wed Nov 19 1997 Otto Hammersmith <otto@redhat.com>
- updated to 0.88

* Tue Apr 8 1997 Michael Fulbright <msf@redhat.com>
Updated package to version 0.86.
